Skip to main content
GET
/
b2b
/
portfolio
/
{user}
/
history
Get Portfolio History
curl --request GET \
  --url https://nexus.kraken.com/b2b/portfolio/{user}/history \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "start_date": "2023-03-13",
    "end_date": "2023-03-13",
    "history": [
      {
        "date": "2023-03-13",
        "total_balance": "1.23",
        "total_pnl": "1.23",
        "total_pnl_pct": "1.23",
        "assets": {}
      }
    ],
    "next_cursor": "<string>",
    "currency": "BTC",
    "total_pnl": "1.23",
    "total_pnl_pct": "1.23"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

user
string
required

Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Query Parameters

include[assets][]
string[]

Include historical balances by asset

Required string length: 3 - 16
include[total_balance]
boolean
default:false

Include the overall historical balance totals

include[total_pnl]
boolean
default:false

Include the overall historical pnl totals

start_date
string<date>

Start date of the fetching window. Only balances for dates that are after start_date will be returned. This is an optional parameter. If not present it will be equal to end_date - 365 days by default. Note: if the range between start_date and end_date produces more than 365 data points, the response will be paginated via next_cursor. A RFC3339 date (without time)

Example:

"2023-03-13"

end_date
string<date>

End date of the fetching window. Only balances for dates that are before end_date will be returned. This is an optional parameter. If not present then current date will be used by default. A RFC3339 date (without time)

Example:

"2023-03-13"

resolution
integer<uint32>
default:1

The resolution of returned data. Only 1 out of each resolution days will be returned. For example if resolution is set to 7 then only one day for each week will be returned. Default: 1, every day will be returned.

Required range: 0 <= x <= 4294967295
quote
string
default:USD

If provided, shows values as the provided asset.

Required string length: 3 - 16
Example:

"BTC"

cursor
string

Optional cursor for pagination. Use the next_cursor value from a previous response to fetch the next page of data points. When provided, other parameters are ignored (they are encoded in the cursor).

Response

Response

result
object